Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006219 [JEDI Code Library] 02 Installation major always 2013-10-19 15:47 2013-12-13 10:16
Reporter dcabale View Status public  
Assigned To
Priority normal Resolution open  
Status new   Product Version Daily / SVN
Summary 0006219: cannot install JCL on Delphi XE5
Description 1. run installation with installer
2. message says 'installation is finished'
3. JCL is not installed
Additional Information look at attached pictures
using VirtualBox + Windows7 + Delphi XE5
Tags No tags attached.
Fixed in revision
IDE version
Attached Files zip file icon JCL_DelphiXE5.zip [^] (327,388 bytes) 2013-10-19 15:47

- Relationships

-  Notes
(0020673)
Arioch (reporter)
2013-10-21 10:45

1) wrong section for reporting. JVCL is not JCL. Unless you can be sure that JCL is installed but JVCL fails to detect it.

2) it looks you're more about asking for help than reporting your found and documented bug. Then forum is more appropriate channel.

3) fuzzy pictuares for screenshots are bad. Use proper graphic formats for screenshots like PNG or at least GIF.

4) ZIP'ping pictures makes nothing but obstacle to view them. Why adding more obstacles ?

5) JCL packages are optional. Those are IDE enhancements experts, nothing more.
JCL library are not packages.

6) you did not tell which JCL and JVCL version you have, where did you got them
(0020674)
Arioch (reporter)
2013-10-21 10:51

I see you're using Program Files for saving your documents (namely, JCL).
This practice was always agaionst the rules since 1st Windows NT release in 1993.
So today it is deprecated for 20 years.

That is quite a poor choice and UAC should avert this. The outcome is may be that you installed JCL in a very different folder than you thought you did.

http://www.curlybrace.com/words/2010/09/09/windows-vista7-file-system-virtualization/ [^]
http://en.wikipedia.org/wiki/User_Account_Control [^]

I am not sure that si exactly what happened but that is what easily may be done when you save your user documents in program files or other system-global program paths.
(0020675)
Arioch (reporter)
2013-10-21 10:51

http://newsportal.delphi-jedi.org/ [^]
(0020677)
dcabale (reporter)
2013-10-21 18:18

> wrong section for reporting. JVCL is not JCL. Unless you can be sure that JCL is installed but JVCL fails to detect it.

I am on "Project JEDI - Issue Tracker". JCL is part of Project Jedi, or am I wrong?

> it looks you're more about asking for help than reporting your found and documented bug. Then forum is more appropriate channel.

I have been installing JCL + JVCL for about 10 years successfully. Thus it might be interesting for JCL+JVCL developers to know that the usual way now seems to fail.

> ZIP'ping pictures makes nothing but obstacle to view them. Why adding more obstacles ?

I thought that only one attachment was allowed -> excuse my ignorance.

> you did not tell which JCL and JVCL version you have, where did you got them

It was coming from the daily SVN as indicated. Its there -> http://jvcl.sourceforge.net/daily/ [^]
(0020678)
dcabale (reporter)
2013-10-21 18:23

no excuse, from there -> http://jcl.sourceforge.net/daily/ [^]
(0020679)
dcabale (reporter)
2013-10-21 21:30

I checked My "c:\users\didier\appdata\local\virtualstore" (the folder where windows could have silently moved my files according http://www.curlybrace.com/words/2010/09/09/windows-vista7-file-system-virtualization/) [^] .. and it is empty -> Ok
JCL is still fully installed in my program files, because I put it there manually (copy /paste), but installation seems has failed although told 'installation finished'.
The JCL version I tried to install is jcl-2.5.0.4974.

Did anybody experience a successfull install of JCL+JVCL on XE5 ?
If yes, with which package version ?

Thanks for your support
(0020680)
Arioch (reporter)
2013-10-22 12:11

> JCL is part of Project Jedi, or am I wrong?

Sure, but this tracker section is about JVCL, not about JCL.

> Thus it might be interesting for JCL+JVCL developers to know that the usual way now seems to fail.

You have more chances to find someone alive on forums. Include link to this ticket, but describe your experience in community.

The tracker is basically a storage of fixes made, so that someone someday would review and apply them. This place is dusty and lonely.

> JCL is still fully installed in my program files, because I put it there manually (copy /paste)

Obviously installation is not only copy/paste but something more. But what ?
Actually you don't know if it is false positive on JCL installer part or false negative on JVCL installer part.

You can run d:\DelphiProjects\Libs\JediVCL\jvcl\install\JVCLInstall\JVCLInstall.dpr in IDE and debug the process though.
(0020684)
dcabale (reporter)
2013-10-23 21:04

Ok, I will investigate, and come back when some news
Thanks for your advices
NB: I would have preferred telling this as private, but did'nt find any way to send private message .. this place is quite dry and lonely indeed.
(0020686)
Arioch (reporter)
2013-10-24 08:20
edited on: 2013-10-24 08:23

there's no point in discussing publicly-maintained library in-private.
usually it is considered impolite if not explicitly harming.
http://www.catb.org/esr/faqs/smart-questions.html#noprivate [^]

This place was always somewhat dry - it is a technical tool, not a party.
But speaking of JCL/JVCL forums, they truly are mch different than what was 5 years ago. I can see two reasons for that: omni-topic mega-sites like StackOverflow are stripping communities from lesser sites more topics defined narrower; and Embarcadero being killing Delphi community for few years already.

(0020688)
dcabale (reporter)
2013-11-03 18:55

@Didier,
JVCL installer says JCL is not installed, because it did not see the Win32 key in the registry.
Installing both JCL for Win32 and Win64 resolves the issue when installing the JVCL.
(0020690)
Arioch (reporter)
2013-11-04 12:38

So you did not installed JCL/win32 and that was all the issue ? And it was resolved as soon as you did full install ?

Then perhaps JVCL Installer could note it explicitly, that since Delphi itself is Win32 program the Win32 version of JCL is mandatory....
(0020691)
dcabale (reporter)
2013-11-04 19:09

> So you did not installed JCL/win32 and that was all the issue ? And it was resolved as soon as you did full install ?

what makes JVCL install successfully is:
1. both Win32 and Win64 JCL install
2. modification of the JVCL installer source that checks for the existing Win64 registry key for the JCL, in case the JCL is set as required.
Note I'm not sure this installation program modifications are necessary, but it seems, as I did not found any Win32 for JCL in the registry.

> Then perhaps JVCL Installer could note it explicitly, that since Delphi itself is Win32 program the Win32 version of JCL is mandatory....

Yes, and same should be done for JCL installer
(0020692)
Arioch (reporter)
2013-11-04 21:16
edited on: 2013-11-04 21:17

> 1. both Win32 and Win64 JCL install

False. Win64 is optional (while Delphi IDE itself is Win32 application).

> modification of the JVCL installer source that checks for the existing Win64 registry key

Will not work (while Delphi IDE itself is Win32 application).

JVCL should compile Win32 code to install it into Win32 IDE
JVCL may skip compiling Win64 code though.
Hence you may skip Win64 JCL if you would also skip Win64 JVCL.
But You cannot skip Win32 JVCL (while Delphi IDE itself is Win32 application).

> Yes, and same should be done for JCL installer

Sorry, but JCL installer does not require JCL been already installed :-D

(0020693)
dcabale (reporter)
2013-11-17 12:05

> False. Win64 is optional (while Delphi IDE itself is Win32 application).

the problem is, as that it is not explicitly said (Win64 is optional), users are likely to NOT select win32 (which is actually mandatory)

> Sorry, but JCL installer does not require JCL been already installed :-D

What I mean is "Then perhaps JCL Installer (instead of JVCL) could note it explicitly, since Delphi itself is Win32 program the Win32 version of JCL is mandatory"

- Issue History
Date Modified Username Field Change
2013-10-19 15:47 dcabale New Issue
2013-10-19 15:47 dcabale File Added: JCL_DelphiXE5.zip
2013-10-21 10:45 Arioch Note Added: 0020673
2013-10-21 10:51 Arioch Note Added: 0020674
2013-10-21 10:51 Arioch Note Added: 0020675
2013-10-21 18:18 dcabale Note Added: 0020677
2013-10-21 18:23 dcabale Note Added: 0020678
2013-10-21 21:30 dcabale Note Added: 0020679
2013-10-22 12:11 Arioch Note Added: 0020680
2013-10-23 21:04 dcabale Note Added: 0020684
2013-10-24 08:20 Arioch Note Added: 0020686
2013-10-24 08:23 Arioch Note Edited: 0020686
2013-11-03 18:55 dcabale Note Added: 0020688
2013-11-04 12:38 Arioch Note Added: 0020690
2013-11-04 19:09 dcabale Note Added: 0020691
2013-11-04 21:16 Arioch Note Added: 0020692
2013-11-04 21:17 Arioch Note Edited: 0020692
2013-11-17 12:05 dcabale Note Added: 0020693
2013-12-13 10:16 obones Project JEDI VCL => JEDI Code Library


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker